EACCSS: Permission denied after upgrade

hello, i am running n8n on unraid and it is working well when i am using the following image, everything works well.

n8nio/n8n:0.195.4-debian

However, after i update the latest version, i am unable to startup my docker and it give the following error.

If i roll back to earlier version , everything works again…

Hi @Benjamin123, thanks so much for reporting this!

This should be fixed in fix(docker): allow node user to write to `n8n/dist/public` by netroy · Pull Request #4245 · n8n-io/n8n · GitHub (we were discussing this internally the other day), though perhaps there is a separate problem with the Debian image. Perhaps @netroy can take a look into this?

1 Like

@Benjamin123 Thanks for reporting this, and I apologize for the inconvenience.

I originally fixed this issue for the alpine based image, but forgot about the debian image.
I’ve updated this to not be image specific now.

We’ll very likely get this merged today, and release a new fixed version tomorrow.

2 Likes